<?php

/*
  PHP version 5
  Copyright (c) 2002-2019ECISP.CN、EarcLink.COM
  警告：这不是一个免费的软件，请在许可范围内使用，请尊重知识产权，侵权必究，举报有奖
  作者：黄祥云 E-mail:6326420@qq.com  QQ:6326420 TEL:18665655030 / 13797552220
*/




namespace admin_application\link;

class CreateMainLink {

	public static function CreateIndex_link_array($linkcode = false) {
		$link_array = array();
		$action_key['act'] = 'CreateHtmlIndex/indexBase';
		$link_array['index'] = linkOut($action_key);
		$action_key['act'] = 'CreateHtmlIndex/saveCreateHtmlIndex';
		$link_array['save'] = linkOut($action_key);
		$action_key['act'] = 'CreateHtmlIndex/getCreateHtmlIndex';
		$link_array['get'] = linkOut($action_key);
		return $linkcode ? $link_array[$linkcode] : $link_array;
	}

	public static function CreateArticle_link_array($linkcode = false) {
		$link_array = array();
		$action_key['act'] = 'CreateHtmlArticle/indexBase';
		$link_array['index'] = linkOut($action_key);
		$action_key['act'] = 'CreateHtmlArticle/saveCreateHtmlArticle';
		$link_array['save'] = linkOut($action_key);
		$action_key['act'] = 'CreateHtmlArticle/countCreateHtmlArticle';
		$link_array['count'] = linkOut($action_key);
		$action_key['act'] = 'CreateHtmlArticle/loadCreateWindow';
		$link_array['window'] = linkOut($action_key);
		$action_key['act'] = 'CreateHtmlArticle/ajaxArticleType';
		$link_array['ajaxlist'] = linkOut($action_key);
		return $linkcode ? $link_array[$linkcode] : $link_array;
	}

	public static function CreateType_link_array($linkcode = false) {
		$link_array = array();
		$action_key['act'] = 'CreateHtmlArticleType/indexBase';
		$link_array['index'] = linkOut($action_key);
		$action_key['act'] = 'CreateHtmlArticleType/saveCreateHtmlArticleType';
		$link_array['save'] = linkOut($action_key);
		$action_key['act'] = 'CreateHtmlArticleType/countCreateHtmlArticleType';
		$link_array['count'] = linkOut($action_key);
		$action_key['act'] = 'CreateHtmlArticleType/loadCreateWindow';
		$link_array['window'] = linkOut($action_key);
		$action_key['act'] = 'CreateHtmlArticleType/ajaxArticleType';
		$link_array['ajaxlist'] = linkOut($action_key);
		return $linkcode ? $link_array[$linkcode] : $link_array;
	}

	public static function CreateSpecial_link_array($linkcode = false) {
		$link_array = array();
		$action_key['act'] = '/indexBase';
		$link_array['index'] = linkOut($action_key);
		$action_key['act'] = 'CreateHtmlSpecial/saveCreateHtmlSpecial';
		$link_array['save'] = linkOut($action_key);
		$action_key['act'] = 'CreateHtmlSpecial/countCreateHtmlSpecial';
		$link_array['count'] = linkOut($action_key);
		$action_key['act'] = 'CreateHtmlSpecial/loadCreateWindow';
		$link_array['window'] = linkOut($action_key);
		$action_key['act'] = 'CreateHtmlSpecial/ajaxSpecial';
		$link_array['ajaxlist'] = linkOut($action_key);
		return $linkcode ? $link_array[$linkcode] : $link_array;
	}

	public static function CreateBatch_link_array($linkcode = false) {
		$link_array = array();
		$action_key['act'] = 'CreateHtmlWeb/indexBase';
		$link_array['index'] = linkOut($action_key);
		$action_key['act'] = 'CreateHtmlWeb/saveCreateHtmlWeb';
		$link_array['save'] = linkOut($action_key);
		$action_key['act'] = 'CreateHtmlWeb/countCreateHtmlWeb';
		$link_array['count'] = linkOut($action_key);
		$action_key['act'] = 'CreateHtmlWeb/loadCreateWindow';
		$link_array['window'] = linkOut($action_key);
		$action_key['act'] = 'CreateHtmlWeb/ajaxSpecial';
		$link_array['ajaxlist'] = linkOut($action_key);
		return $linkcode ? $link_array[$linkcode] : $link_array;
	}

	public static function CreateGoogleMap_link_array($linkcode = false) {
		$link_array = array();
		$action_key['act'] = 'CreateGoogleMap/indexBase';
		$link_array['index'] = linkOut($action_key);
		$action_key['act'] = 'CreateGoogleMap/saveCreateGoogleMap';
		$link_array['save'] = linkOut($action_key);
		return $linkcode ? $link_array[$linkcode] : $link_array;
	}

	public static function CreateBaiduMap_link_array($linkcode = false) {
		$link_array = array();
		$action_key['act'] = 'CreateBaiduMap/indexBase';
		$link_array['index'] = linkOut($action_key);
		$action_key['act'] = 'CreateBaiduMap/saveCreateBaiduMap';
		$link_array['save'] = linkOut($action_key);
		return $linkcode ? $link_array[$linkcode] : $link_array;
	}

}
